Bug 204155 - SIGABRT triggered when trying to change a notes name to one that already exists
SIGABRT triggered when trying to change a notes name to one that already exists
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-08-26 00:05 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-29 18:57:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-08-26 00:05:05 EDT
Description of problem:
A GTK assertion fails after trying to change the name of a Note to one that
already exists.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open an existing note
2. Attempt to change the name to one that already exists
3. 'Note title taken' messgae appears. Click OK.
4. Click on the note.
3. Boom.
Actual results:
Gtk-ERROR **: file gtktextview.c: line 5670
(gtk_text_view_start_selection_drag): assertion failed:
(text_view->selection_drag_handler == 0)
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0xffffffff>
  at Gtk.Application.Run () <0x00007>
  at Gnome.Program.Run () <0x00007>
  at Tomboy.Tomboy.StartTrayIcon () <0x0004a>
  at Tomboy.Tomboy.Main (string[]) <0x00126>
  at (wrapper runtime-invoke) System.Object.runtime_invoke_void_string[]
(object,intptr,intptr,intptr) <0xffffffff>
Native stacktrace:
        mono(mono_handle_native_sigsegv+0xe6) [0x814bd06]
        /lib/libc.so.6(gsignal+0x50) [0x1cb050]
        /lib/libc.so.6(abort+0x101) [0x1cc8a1]
        /lib/libglib-2.0.so.0(g_logv+0x4d2) [0x134cc2]
        /lib/libglib-2.0.so.0(g_log+0x29) [0x134cf9]
        /lib/libglib-2.0.so.0(g_assert_warning+0x76) [0x134d76]
        /usr/lib/libgtk-x11-2.0.so.0 [0x11b094b]
        /usr/lib/libgtk-x11-2.0.so.0 [0x11b0c4f]
        /usr/lib/libgtk-x11-2.0.so.0 [0x10f0db0]
        /lib/libgobject-2.0.so.0 [0x4376f9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x12b) [0x438f0b]
        /lib/libgobject-2.0.so.0 [0x44a3b3]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x667) [0x44b027]
        /lib/libgobject-2.0.so.0(g_signal_emit+0x29) [0x44b419]
        /usr/lib/libgtk-x11-2.0.so.0 [0x1204448]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x183) [0x10ea253]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x317) [0x10eb457]
        /usr/lib/libgdk-x11-2.0.so.0 [0xeef1aa]
        /lib/libglib-2.0.so.0(g_main_context_dispatch+0x182) [0x12c372]
        /lib/libglib-2.0.so.0 [0x12f34f]
        /lib/libglib-2.0.so.0(g_main_loop_run+0x1a9) [0x12f6f9]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4) [0x10eb8d4]
        mono(mono_runtime_exec_main+0x62) [0x80e39a2]
        mono(mono_runtime_run_main+0x1b9) [0x80e3c89]
        mono(mono_main+0xe5e) [0x805d13e]
        mono [0x805bdd2]
        /lib/libc.so.6(__libc_start_main+0xdc) [0x1b823c]
        mono [0x805bd21]
Comment 1 Matthias Clasen 2006-08-27 17:08:57 EDT
I haven't been able to reproduce this; any more details ?
Comment 2 Luke Macken 2006-08-27 18:42:05 EDT
I'm able to reproduce this with a clean configuration by creating a new note and
changing the name to 'Start Here'.  After the error message appears, the next
time I click anywhere in the note crashes it.
Comment 3 Luke Macken 2007-04-29 18:57:01 EDT
I am unable to reproduce this issue with Tomboy in rawhide.

Note You need to log in before you can comment on or make changes to this bug.